import request from '@/utils/request'

// 查询考核说明配置列表
export function listAppExaminationInstructions(query) {
  return request({
    url: '/model/AppExaminationInstructions/list',
    method: 'get',
    params: query
  })
}

// 查询考核说明配置详细
export function getAppExaminationInstructions(examinationInstructionsId) {
  return request({
    url: '/model/AppExaminationInstructions/' + examinationInstructionsId,
    method: 'get'
  })
}

// 新增考核说明配置
export function addAppExaminationInstructions(data) {
  return request({
    url: '/model/AppExaminationInstructions',
    method: 'post',
    data: data
  })
}

// 修改考核说明配置
export function updateAppExaminationInstructions(data) {
  return request({
    url: '/model/AppExaminationInstructions',
    method: 'put',
    data: data
  })
}

// 删除考核说明配置
export function delAppExaminationInstructions(examinationInstructionsId) {
  return request({
    url: '/model/AppExaminationInstructions/' + examinationInstructionsId,
    method: 'delete'
  })
}
